Qemu 1.5.1 released

Too bad it is utterly broken on Win32, Win64, OS X platforms.

I guess it was fun while it lasted, but my enthusiasm for this emulator is basically all gone now.  I know they were screwed over with the changes from GCC 3.x to 4.x, but the 1.x versions move to GLIB not only destroyed their performance, but made it incredibly difficult to build.

Oh well.

This entry was posted in qemu by neozeed. Bookmark the permalink.
avatar

About neozeed

What is there to tell? I've loved UNIX like things since I was first exposed to QNX in highschool (we had the Unisys ICONS!), and spent the better time of my teenage years trying to get my own UNIX... I should have bought Coherent in retrospect.. Anyways latched onto Linux in 1992, and then got some old BSD admin books and have been hooked on the VAX BSD & other big/ancient things since...!

8 thoughts on “Qemu 1.5.1 released

    • Does this mean you can provide the output of a ./configure???

      If your build works it would go a LONG LONG way to help others. But as far as I can tell it is all hopelessly broken. Where did you get your mingw32/64 as there is tonnes of downloads and they all produce the same non working binaries (if at all). Is asking for this too much??

      $ ./configure
      Install prefix /usr/local
      BIOS directory /usr/local/share/qemu
      binary directory /usr/local/bin
      library directory /usr/local/lib
      libexec directory /usr/local/libexec
      include directory /usr/local/include
      config directory /usr/local/etc
      local state directory /usr/local/var
      Manual directory /usr/local/share/man
      ELF interp prefix /usr/gnemul/qemu-%M
      Source path /usr/src/qemu-1.5.0
      C compiler cc
      Host C compiler cc
      Objective-C compiler clang
      CFLAGS -O2 -D_FORTIFY_SOURCE=2 -g
      QEMU_CFLAGS -m64 -DOS_OBJECT_USE_OBJC=0 -arch x86_64 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -Wstrict-prototypes -Wredundant-decls -Wall -Wundef -Wwrite-strings -Wmissing-prototypes -fno-strict-aliasing -Wno-initializer-overrides -Wendif-labels -Wmissing-include-dirs -Wempty-body -Wnested-externs -Wformat-security -Wformat-y2k -Winit-self -Wignored-qualifiers -Wold-style-definition -Wtype-limits -fstack-protector-all -I$(SRC_PATH)/pixman/pixman -I$(BUILD_DIR)/pixman/pixman -I$(SRC_PATH)/dtc/libfdt
      LDFLAGS -m64 -framework CoreFoundation -framework IOKit -arch x86_64 -g
      make make
      install install
      python python
      smbd /usr/sbin/smbd
      host CPU x86_64
      host big endian no
      target list i386-softmmu
      tcg debug enabled no
      gprof enabled no
      sparse enabled no
      strip binaries yes
      profiler no
      static build no
      -Werror enabled no
      Cocoa support yes
      pixman internal
      SDL support no
      GTK support no
      curses support yes
      curl support yes
      mingw32 support no
      Audio drivers coreaudio
      Block whitelist
      Mixer emulation no
      VirtFS support no
      VNC support yes
      VNC TLS support no
      VNC SASL support yes
      VNC JPEG support no
      VNC PNG support no
      VNC WS support no
      xen support no
      brlapi support no
      bluez support no
      Documentation yes
      NPTL support no
      GUEST_BASE yes
      PIE no
      vde support no
      Linux AIO support no
      ATTR/XATTR support no
      Install blobs yes
      KVM support no
      TCG interpreter no
      fdt support yes
      preadv support no
      fdatasync no
      madvise yes
      posix_madvise yes
      sigev_thread_id no
      uuid support yes
      libcap-ng support no
      vhost-net support no
      vhost-scsi support no
      Trace backend nop
      Trace output file trace- spice support no (/)
      rbd support no
      xfsctl support no
      nss used no
      libusb no
      usb net redir no
      GLX support no
      libiscsi support no
      build guest agent yes
      seccomp support no
      coroutine backend sigaltstack
      GlusterFS support no
      virtio-blk-data-plane no
      gcov gcov
      gcov enabled no
      TPM support no
      libssh2 support no
      TPM passthrough no
      QOM debugging yes

    • Thanks TC1988 for the build, however the Cirrus Logic patch is not fully working (the screen turn into a mess where the menu was opened and closed), also you seems forget to include the qemu-img. But anyway, thanks for the build!

  1. It’s clear, if you use shitlibraries compiled with shittools, you get shitsoftware. Best case ontario, it’s really slow.

Leave a Reply

Your email address will not be published.

Notify me of followup comments via e-mail. You can also subscribe without commenting.